Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/FILE.h File Reference

`#include "ace/IO_SAP.h"`
`#include "ace/FILE_Addr.h"`
`#include "ace/FILE.i"`

Include dependency graph for FILE.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_FILE
| Defines the core methods of the ACE_FILE abstraction. More...
class | ACE_FILE_Info
| Abstracts basic OS FILE information. More...
## Defines
#define | ACE_FILE_CONNECTOR ACE_FILE_Connector
#define | ACE_FILE_STREAM ACE_FILE_IO

## Detailed Description

Id:
  FILE.h,v 4.21 2003/07/19 19:04:11 dhinton Exp

Author:
  Gerhard Lenzer

## Define Documentation

#define ACE_FILE_CONNECTOR ACE_FILE_Connector

#define ACE_FILE_STREAM ACE_FILE_IO